Package bitel.billing.server.load.bean

# Class Source

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
bitel.billing.server.load.bean.Source

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Source extends IdTitle implements ListItem, Idable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_FILE`
  `static final int`
  `TYPE_FTP`
  `static final int`
  `TYPE_NETFLOW`
  `static final int`
  `TYPE_SFLOW`
  `static final int`
  `TYPE_SNMP`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Source()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final boolean`
  `checkSourceType(int type)`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `String`
  `getHostOrDir()`
  `int`
  `getModuleId()`
  `String`
  `getPswd()`
  `int`
  `getType()`
  `String`
  `getUser()`
  `static final int`
  `nameToType(String type)`
  `Source`
  `setComment(String comment)`
  `Source`
  `setConfig(String config)`
  `Source`
  `setDate1(Calendar date1)`
  `Source`
  `setDate2(Calendar date2)`
  `Source`
  `setHostOrDir(String hostOrDir)`
  `Source`
  `setId(int id)`
  Устанавливает id объекта
  `Source`
  `setModuleId(int moduleId)`
  `Source`
  `setPswd(String pswd)`
  `Source`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `Source`
  `setType(int type)`
  `Source`
  `setUser(String user)`
  `static final String`
  `typeToName(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.Idable

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Field Details

  - ### TYPE_FTP

    public static final int TYPE_FTP
    See Also:
      - Constant Field Values

  - ### TYPE_FILE

    public static final int TYPE_FILE
    See Also:
      - Constant Field Values

  - ### TYPE_NETFLOW

    public static final int TYPE_NETFLOW
    See Also:
      - Constant Field Values

  - ### TYPE_SFLOW

    public static final int TYPE_SFLOW
    See Also:
      - Constant Field Values

  - ### TYPE_SNMP

    public static final int TYPE_SNMP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Source

    public Source()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### getDate1

    public Calendar getDate1()

  - ### getDate2

    public Calendar getDate2()

  - ### getHostOrDir

    public String getHostOrDir()

  - ### getModuleId

    public int getModuleId()

  - ### getPswd

    public String getPswd()

  - ### getType

    public int getType()

  - ### getUser

    public String getUser()

  - ### setComment

    public Source setComment(String comment)

  - ### setConfig

    public Source setConfig(String config)

  - ### setDate1

    public Source setDate1(Calendar date1)

  - ### setDate2

    public Source setDate2(Calendar date2)

  - ### setHostOrDir

    public Source setHostOrDir(String hostOrDir)

  - ### setId

    public Source setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setModuleId

    public Source setModuleId(int moduleId)

  - ### setPswd

    public Source setPswd(String pswd)

  - ### setTitle

    public Source setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setType

    public Source setType(int type)

  - ### setUser

    public Source setUser(String user)

  - ### checkSourceType

    public static final boolean checkSourceType(int type)

  - ### nameToType

    public static final int nameToType(String type)

  - ### typeToName

    public static final String typeToName(int type)